function dashboard_reporting_widget2 (instance, widget) {
  "use strict";

  var widgets = widget;

  instance.eiru_reports_dashboard.DashboardReportingWidget = instance.eiru_reports_dashboard.DashboardReportingWidget.extend({

    RenderWidgets: function () {
      var self = this;
      this._super.apply(this, arguments);

      var ChartList = self.Widgets;

      // CHART MIS OBJETIVOS DE VENTA

      var chart =  _.flatten(_.filter(ChartList,function (inv) {
        return inv.name == 'WidgetSalesmanObjective';
      }));

      if(chart.length > 0){
        var WidgetSalesmanObjective = new widgets.WidgetSalesmanObjective();
        WidgetSalesmanObjective.renderElement();
        WidgetSalesmanObjective.start();
        this.grid.addWidget(WidgetSalesmanObjective.$el, 0, 0,WidgetSalesmanObjective.size.width,WidgetSalesmanObjective.size.height,true);
      }

      // CHART VENTA POR VENDEDOR CON OBJETIVOS

      var chart =  _.flatten(_.filter(ChartList,function (inv) {
        return inv.name == 'WidgetSalesmanRankingObjective';
      }));

      if(chart.length > 0){
        var WidgetSalesmanRankingObjective = new widgets.SalesmanRankingObjective();
        WidgetSalesmanRankingObjective.renderElement();
        WidgetSalesmanRankingObjective.start();
        this.grid.addWidget(WidgetSalesmanRankingObjective.$el, 0, 0,WidgetSalesmanRankingObjective.size.width,WidgetSalesmanRankingObjective.size.height,true);
      }
    },
  });
}
